Bug 1190533 - (CVE-2021-3778) VUL-1: CVE-2021-3778: vim: Heap-based Buffer Overflow in regexp_nfa.c
(CVE-2021-3778)
VUL-1: CVE-2021-3778: vim: Heap-based Buffer Overflow in regexp_nfa.c
Status: IN_PROGRESS
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Zoltan Balogh
Security Team bot
https://smash.suse.de/issue/310103/
CVSSv3.1:SUSE:CVE-2021-3778:5.3:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-15 15:14 UTC by Gabriele Sonnu
Modified: 2022-09-06 15:40 UTC (History)
6 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Patch for SLES 12 SP3 (1.19 KB, patch)
2022-02-10 14:51 UTC, João Silva
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Gabriele Sonnu 2021-09-15 15:15:47 UTC
Affected packages:

 - SUSE:Carwos:1/vim           8.0.1568
 - SUSE:SLE-12:Update/vim      7.4.326
 - SUSE:SLE-15:Update/vim      8.0.1568
 - openSUSE:Factory/vim        8.2.3360

Upstream patch:

https://github.com/vim/vim/commit/65b605665997fad54ef39a93199e305af2fe4d7f
Comment 2 junwei chen 2021-10-14 07:20:23 UTC
May I ask? When will this CVE be fixed in SLES12 SP5?
Comment 3 junwei chen 2021-12-15 02:04:16 UTC
(In reply to junwei chen from comment #2)
> May I ask? When will this CVE be fixed in SLES12 SP5?

Ask again. Is there any progress?
Comment 4 João Silva 2022-02-10 14:51:00 UTC
Created attachment 856037 [details]
Patch for SLES 12 SP3
Comment 5 Zoltan Balogh 2022-02-17 20:04:57 UTC
With the provided poc I could reproduce the problem with the SLE15 codebase and the upstream patch fixes is. The next upcoming MU will contain the patch. If there is a need we may offer a PTF for customers who need it.
Comment 7 Swamp Workflow Management 2022-03-04 17:18:30 UTC
SUSE-SU-2022:0736-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1190533,1190570,1191893,1192478,1192481,1193294,1193298,1194216,1194556,1195004,1195066,1195126,1195202,1195356
CVE References: CVE-2021-3778,CVE-2021-3796,CVE-2021-3872,CVE-2021-3927,CVE-2021-3928,CVE-2021-3984,CVE-2021-4019,CVE-2021-4193,CVE-2021-46059,CVE-2022-0318,CVE-2022-0319,CVE-2022-0351,CVE-2022-0361,CVE-2022-0413
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    vim-8.0.1568-5.17.1
SUSE Manager Retail Branch Server 4.1 (src):    vim-8.0.1568-5.17.1
SUSE Manager Proxy 4.1 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server for SAP 15 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Server 15-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Micro 5.1 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise Micro 5.0 (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    vim-8.0.1568-5.17.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    vim-8.0.1568-5.17.1
SUSE Enterprise Storage 7 (src):    vim-8.0.1568-5.17.1
SUSE Enterprise Storage 6 (src):    vim-8.0.1568-5.17.1
SUSE CaaS Platform 4.0 (src):    vim-8.0.1568-5.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-03-04 17:23:21 UTC
openSUSE-SU-2022:0736-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1190533,1190570,1191893,1192478,1192481,1193294,1193298,1194216,1194556,1195004,1195066,1195126,1195202,1195356
CVE References: CVE-2021-3778,CVE-2021-3796,CVE-2021-3872,CVE-2021-3927,CVE-2021-3928,CVE-2021-3984,CVE-2021-4019,CVE-2021-4193,CVE-2021-46059,CVE-2022-0318,CVE-2022-0319,CVE-2022-0351,CVE-2022-0361,CVE-2022-0413
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    vim-8.0.1568-5.17.1
openSUSE Leap 15.3 (src):    vim-8.0.1568-5.17.1
Comment 9 Swamp Workflow Management 2022-04-19 22:27:28 UTC
SUSE-SU-2022:0736-2: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1190533,1190570,1191893,1192478,1192481,1193294,1193298,1194216,1194556,1195004,1195066,1195126,1195202,1195356
CVE References: CVE-2021-3778,CVE-2021-3796,CVE-2021-3872,CVE-2021-3927,CVE-2021-3928,CVE-2021-3984,CVE-2021-4019,CVE-2021-4193,CVE-2021-46059,CVE-2022-0318,CVE-2022-0319,CVE-2022-0351,CVE-2022-0361,CVE-2022-0413
JIRA References: 
Sources used:
SUSE Linux Enterprise Micro 5.2 (src):    vim-8.0.1568-5.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.